package com.house365.xxx.newhouse.namecheck.bean;

public class ResultBean implements Comparable<ResultBean> {
	private WordBean wordBean;

	public ResultBean(WordBean wordBean) {
		super();
		this.wordBean = wordBean;
	}

	@Override
	public String toString() {
		return "ResultBean [wordBean=" + wordBean + "]";
	}

	public float getFinalScore() {
		// return wordBean.getScore();
		return getWordRatio() * 0.6f +wordBean.getPrjBean().getPrj_ob();
	}

	public float getWordRatio() {
		return wordBean.getRatio();
	}

	public PrjBean getPrjBean() {
		return wordBean.getPrjBean();
	}

	@Override
	public int compareTo(ResultBean o) {
		if (getFinalScore() == o.getFinalScore()) {
			return 0;
		}
		return getFinalScore() > o.getFinalScore() ? -1 : 1;
	}

	public WordBean getWordBean() {
		return wordBean;
	}

	public void setWordBean(WordBean wordBean) {
		this.wordBean = wordBean;
	}

}
