package com.house365.xxx.newhouse.namecheck.bean;


public class WordBean implements Comparable<WordBean>{
	private String word;
	private float ratio;
	private PrjBean prjBean;

	public WordBean(String word, float ratio,PrjBean prjBean) {
		this.word = word;
		this.ratio = ratio;
		this.prjBean=prjBean;
	}

	public PrjBean getPrjBean() {
		return prjBean;
	}

	public void setPrjBean(PrjBean prjBean) {
		this.prjBean = prjBean;
	}

	@Override
	public int hashCode() {
		return prjBean.hashCode();
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		WordBean other = (WordBean) obj;
		
		return this.prjBean.equals(other.prjBean);
	}

	@Override
	public String toString() {
		return "WordBean [word=" + word + ", ratio=" + ratio +", prj_ob=" +  prjBean.getPrj_ob()+"]";
	}

	public String getWord() {
		return word;
	}

	public void setWord(String word) {
		this.word = word;
	}

	public float getRatio() {
		return ratio;
	}

	public void setRatio(float ratio) {
		this.ratio = ratio;
	}

	@Override
	public int compareTo(WordBean o) {
		if (getRatio() == o.getRatio()) {
			return 0;
		}
		return getRatio() >o.getRatio() ? -1 : 1;
	}
}
