package com.house365.xxx.newhouse.namecheck.job;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.ApplicationContext;

import com.house365.xxx.common.config.SystemStarter;
import com.house365.xxx.newhouse.namecheck.core.NewProjectBeanLoader;
import com.house365.xxx.newhouse.namecheck.servlet.ProjectQuery;

public class RefreshLoaderJob {
	private static Log logger = LogFactory.getLog(RefreshLoaderJob.class);

	public void work() {
		logger.info("RefreshSearcherJob...");
		SystemStarter s = ProjectQuery.getLoader();
		ApplicationContext applicationContext = s.getApplicationContext();
		NewProjectBeanLoader projectBeanLoader = applicationContext.getBean(NewProjectBeanLoader.class);
		projectBeanLoader.load();
	}
}
